public class Zeichenblatt
{
    private ZEICHENFENSTER hintergrund;
    private Baum baum1;
    private Halm[] rasen;
    
    public Zeichenblatt()
    {
        int farbe;
        hintergrund = new ZEICHENFENSTER("Malerei",800,500);
        baum1 = new Baum(200,280,30,90);
        rasen = new Halm[50];
        for (int i = 0; i < 50 ; i = i + 1){
            int zufall = (int) (Math.random()*10); 
            if (zufall >= 8){
                farbe = 6; //gelber Halm
            }
            else {
                farbe = 2; //grüner Halm
            }
            rasen[i] = new Halm(20+zufall, baum1.gibXStartStamm()+i*5 - 100, baum1.gibYStartStamm(), farbe);       
        }
        for (int i = 0; i < 50 ; i = i + 1)
        {
            rasen[i] = new Halm(20, baum1.gibXStartStamm()+i*5 - 100, baum1.gibYStartStamm(), 2);       
        }
    }

    public void zeichneGrundstueck()
    {
        hintergrund.fuelleRechteck(baum1.gibXStartStamm(),baum1.gibYStartStamm()-baum1.gibHoeheStamm(),baum1.gibBreiteStamm(),baum1.gibHoeheStamm(),baum1.gibFarbnrStamm());
        hintergrund.fuelleKreis(baum1.gibXMitteKrone(),baum1.gibYMitteKrone(),baum1.gibRadiusKrone(),baum1.gibFarbnrKrone());
        for (int i = 0; i <50 ; i = i + 1)
        {
            hintergrund.fuelleDreieck(rasen[i].gibX1Halm(),rasen[i].gibY1Halm(),rasen[i].gibX2Halm(),rasen[i].gibY2Halm(),rasen[i].gibX3Halm(),rasen[i].gibY3Halm(),rasen[i].gibFarbnrHalm());
        }
    }
}
